Subject: Re: [PATCH 1/1] neighbour : fix ndm_type type error issue

From: Jun Zhao <[email-masked]>
Date: Sat, 26 Jul 2014 08:29:17 +0800

On Sat, 2014-07-26 at 01:24 +0200, Hannes Frederic Sowa wrote:
> On Fri, Jul 25, 2014, at 18:38, Jun Zhao wrote:
> > ndm_type means L3 address type, in neighbour proxy and vxlan, it's
> > RTN_UNICAST.
> > NDA_DST is for netlink TLV type, hence it's not right value in this
> > context.
> 
> The value of NDA_DST == RTN_UNICAST, otherwise we couldn't do this
> change as it would alter e.g. arpd behavior.
> 
> Acked-by: Hannes Frederic Sowa <[email-masked]>
> 
> Thanks,
> Hannes

But I think NDA_DST/RTN_UNICAST have different means in this context, 
even though the value of NDA_DST == RTN_UNICAST.

For arp proxy/NDP proxy context, ndm_type means the peer L3 address,
so RTN_UNICAST is the right value. For vxlan have similar semantic for
remote ip.

BTW: In the source code, implicit think NDA_DST == RTN_UNICAST maybe
not a good idea when we don't have a comment or the other explain.